### Hierarchy

- Site

## Index

### Constructors

- constructor

### Properties

- confidential
- id
- origin
- publicKey

## Constructors

### constructor

- new Site(id?: number, origin?: string, publicKey?: string, confidential?: boolean): Site

- - Defined in repository/models/Site.ts:6

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value origin: string = ""

  - ##### Default value publicKey: string = ""

  - ##### Default value confidential: boolean = false

  #### Returns Site

## Properties

### confidential

confidential: boolean

- Defined in repository/models/Site.ts:6

### id

id: number

- Defined in repository/models/Site.ts:3

### origin

origin: string

- Defined in repository/models/Site.ts:4

### publicKey

publicKey: string

- Defined in repository/models/Site.ts:5

Generated using TypeDoc